cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PDA

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PDA

- All Implemented Interfaces:
    ISegment

      public class PDA
      extends Segment

  PDA - Patient Death and Autopsy Segment

  This segment carries information on a patient's death and possible autopsy.

  Represents an HL7 PDA message segment. This segment has the following fields:

  PDA-1: Death Cause Code (CWE)Optional
  PDA-2: Death Location (PL)Optional
  PDA-3: Death Certified Indicator (ID)Optional
  PDA-4: Death Certificate Signed Date/Time (DTM)Optional
  PDA-5: Death Certified By (XCN)Optional
  PDA-6: Autopsy Indicator (ID)Optional
  PDA-7: Autopsy Start and End Date/Time (DR)Optional
  PDA-8: Autopsy Performed By (XCN)Optional
  PDA-9: Coroner Indicator (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDA()` Constucts the PDA segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDeathCauseCode(CWE objtempDeathCauseCode)` Set the Death Cause Code.
    `void` | `addDeathCauseCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Death Cause Code.
    `ID` | `getAutopsyIndicator()` Retrieves the Autopsy Indicator.
    `XCN` | `getAutopsyPerformedBy()` Retrieves the Autopsy Performed By.
    `DR` | `getAutopsyStartAndEndDateTime()` Retrieves the Autopsy Start And End Date Time.
    `ID` | `getCoronerIndicator()` Retrieves the Coroner Indicator.
    `ISingleCollection<CWE>` | `getDeathCauseCode()` Retrieves the Death Cause Code.
    `DTM` | `getDeathCertificateSignedDateTime()` Retrieves the Death Certificate Signed Date Time.
    `XCN` | `getDeathCertifiedBy()` Retrieves the Death Certified By.
    `ID` | `getDeathCertifiedIndicator()` Retrieves the Death Certified Indicator.
    `PL` | `getDeathLocation()` Retrieves the Death Location.
    `void` | `setAutopsyIndicator(ID objautopsyIndicator)` Set the Autopsy Indicator.
    `void` | `setAutopsyIndicator(java.lang.String strAutopsyIndicator)` Set the Autopsy Indicator.
    `void` | `setAutopsyPerformedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Autopsy Performed By.
    `void` | `setAutopsyPerformedBy(XCN objautopsyPerformedBy)` Sets the Autopsy Performed By.
    `void` | `setAutopsyStartAndEndDateTime(DR objautopsyStartAndEndDateTime)` Set the Autopsy Start And End Date Time.
    `void` | `setAutopsyStartAndEndDateTime(DTM objRangeStartDate_Time, DTM objRangeEndDate_Time)` Set the Autopsy Start And End Date Time.
    `void` | `setCoronerIndicator(ID objcoronerIndicator)` examiner for investigative purposed or not.
    `void` | `setCoronerIndicator(java.lang.String strCoronerIndicator)` Set the Coroner Indicator.
    `void` | `setDeathCauseCode(ISingleCollection<CWE> objDeathCauseCodeList)` Set the Death Cause Code.
    `void` | `setDeathCertificateSignedDate_Time(DTM objdeathCertificateSignedDateTime)` Set the Death Certificate Signed Date Time.
    `void` | `setDeathCertificateSignedDate_Time(java.lang.String strDateTimePlannedEvent)` Set the Death Certificate Signed Date Time.
    `void` | `setDeathCertifiedBy(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Death Certified By.
    `void` | `setDeathCertifiedBy(XCN objdeathCertifiedBy)` Sets the Death CertifiedBy.
    `void` | `setDeathCertifiedIndicator(ID objdeathCertifiedIndicator)` Set the Death Certified Indicator.
    `void` | `setDeathCertifiedIndicator(java.lang.String strDeathCertifiedIndicator)` Set the Death Certified Indicator.
    `void` | `setDeathLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Death Location.
    `void` | `setDeathLocation(PL objdeathLocation)` Set the Death Location.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDA

          public PDA()

      Constucts the PDA segment.

  - ### Method Detail

    - #### getAutopsyIndicator

          public ID getAutopsyIndicator()

      Retrieves the Autopsy Indicator. This field indicates whether an autopsy is performed.
      Returns:
        String - autopsyIndicator

    - #### getAutopsyPerformedBy

          public XCN getAutopsyPerformedBy()

      Retrieves the Autopsy Performed By. This field is valued with the authority who performed the autopsy.
      Returns:
        XCN - autopsyPerformedBy

    - #### getAutopsyStartAndEndDateTime

          public DR getAutopsyStartAndEndDateTime()

      Retrieves the Autopsy Start And End Date Time. This field specify the date and time that the autopsy is begin and completed.
      Returns:
        DR - autopsyStartAndEndDateTime

    - #### getCoronerIndicator

          public ID getCoronerIndicator()

      Retrieves the Coroner Indicator. This field indicates whether the case/death has been assigned to the coroner/medical examiner for investigative purposed or not.
      Returns:
        String - coronerIndicator

    - #### getDeathCauseCode

          public ISingleCollection<CWE> getDeathCauseCode()

      Retrieves the Death Cause Code. This field specify the reason of the death.
      Returns:
        ISingleCollection - deathCauseCode

    - #### getDeathCertificateSignedDateTime

          public DTM getDeathCertificateSignedDateTime()

      Retrieves the Death Certificate Signed Date Time. This field specify the date and time of the death certificate is signed.
      Returns:
        DTM - deathCertificateSignedDateTime

    - #### getDeathCertifiedBy

          public XCN getDeathCertifiedBy()

      Retrieves the Death Certified By. This field is valued with the person who signed the death certificate.
      Returns:
        XCN - deathCertifiedBy

    - #### getDeathCertifiedIndicator

          public ID getDeathCertifiedIndicator()

      Retrieves the Death Certified Indicator. This field indicates whether a death is officially certified or not.
      Returns:
        String - deathCertifiedIndicator

    - #### getDeathLocation

          public PL getDeathLocation()

      Retrieves the Death Location. This field specify the place where the death occurred.
      Returns:
        PL - deathLocation

    - #### addDeathCauseCode

          public void addDeathCauseCode(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Death Cause Code. This field specify the reason of the death.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addDeathCauseCode

          public void addDeathCauseCode(CWE objtempDeathCauseCode)

      Set the Death Cause Code. This field specify the reason of the death.
      Parameters:
        `objtempDeathCauseCode` - object of DeathCauseCode

    - #### setDeathCauseCode

          public void setDeathCauseCode(ISingleCollection<CWE> objDeathCauseCodeList)

      Set the Death Cause Code.
      Parameters:
        `objDisabledPersonCodeList` - List of Death Cause Code.

    - #### setDeathLocation

          public void setDeathLocation(HD objPointOfCare,
                              HD objRoom,
                              HD objBed,
                              HD objFacility,
                              java.lang.String strLocationStatus,
                              java.lang.String strPersonLocationType,
                              HD objBuilding,
                              HD objFloor,
                              java.lang.String strLocationDescription,
                              EI objComprehensiveLocationIdentifier,
                              HD objAssigningAuthorityForLocation)

      Set the Death Location. This field specify the place where the death occurred.
      Parameters:
        `objPointOfCare` - Use as PointOfCare.
        `objRoom` - Use as Room.
        `objBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `objBuilding` - Use as Building.
        `objFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setDeathLocation

          public void setDeathLocation(PL objdeathLocation)

      Set the Death Location. This field specify the place where the death occurred.
      Parameters:
        `objdeathLocation` - object of AssigningAuthorityForLocation.

    - #### setDeathCertifiedIndicator

          public void setDeathCertifiedIndicator(java.lang.String strDeathCertifiedIndicator)

      Set the Death Certified Indicator. This field indicates whether a death is officially certified or not.
      Parameters:
        `strDeathCertifiedIndicator` - Use as DeathCertifiedIndicator.

    - #### setDeathCertifiedIndicator

          public void setDeathCertifiedIndicator(ID objdeathCertifiedIndicator)

      Set the Death Certified Indicator. This field indicates whether a death is officially certified or not.
      Parameters:
        `objdeathCertifiedIndicator` - object of DeathCertifiedIndicator.

    - #### setDeathCertificateSignedDate_Time

          public void setDeathCertificateSignedDate_Time(java.lang.String strDateTimePlannedEvent)

      Set the Death Certificate Signed Date Time. This field specify the date and time of the death certificate is signed.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setDeathCertificateSignedDate_Time

          public void setDeathCertificateSignedDate_Time(DTM objdeathCertificateSignedDateTime)

      Set the Death Certificate Signed Date Time. This field specify the date and time of the death certificate is signed.
      Parameters:
        `objdeathCertificateSignedDateTime` - object of DegreeOfPrecision.

    - #### setDeathCertifiedBy

          public void setDeathCertifiedBy(java.lang.String strIDNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 CWE objSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepratment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Death Certified By. This field is valued with the person who signed the death certificate.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setDeathCertifiedBy

          public void setDeathCertifiedBy(XCN objdeathCertifiedBy)

      Sets the Death CertifiedBy.
      Parameters:
        `objdeathCertifiedBy` - object of Death CertifiedBy

    - #### setAutopsyIndicator

          public void setAutopsyIndicator(java.lang.String strAutopsyIndicator)

      Set the Autopsy Indicator. This field indicates whether an autopsy is performed.
      Parameters:
        `strAutopsyIndicator` - Use as AutopsyIndicator.

    - #### setAutopsyIndicator

          public void setAutopsyIndicator(ID objautopsyIndicator)

      Set the Autopsy Indicator. This field indicates whether an autopsy is performed.
      Parameters:
        `objautopsyIndicator` - object of AutopsyIndicator.

    - #### setAutopsyStartAndEndDateTime

          public void setAutopsyStartAndEndDateTime(DTM objRangeStartDate_Time,
                                           DTM objRangeEndDate_Time)

      Set the Autopsy Start And End Date Time. This field specify the date and time that the autopsy is begin and completed.
      Parameters:
        `objRangeStartDate_Time` - Use as RangeStartDate_Time.
        `objRangeEndDate_Time` - Use as RangeEndDate_Time.

    - #### setAutopsyStartAndEndDateTime

          public void setAutopsyStartAndEndDateTime(DR objautopsyStartAndEndDateTime)

      Set the Autopsy Start And End Date Time. This field specify the date and time that the autopsy is begin and completed.
      Parameters:
        `objautopsyStartAndEndDateTime` - object of AutopsyStartAndEndDateTime

    - #### setAutopsyPerformedBy

          public void setAutopsyPerformedBy(java.lang.String strIDNumber,
                                   FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   CWE objSourceTable,
                                   HD objAssigningAuthority,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strIdentifierCheckDigit,
                                   java.lang.String strCheckDigitScheme,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   java.lang.String strEffectiveDate,
                                   java.lang.String strExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   CWE objAssigningJurisdiction,
                                   CWE objAssigningAgencyOrDepratment,
                                   java.lang.String strSecurityCheck,
                                   java.lang.String strSecurityCheckScheme)

      Set the Autopsy Performed By. This field is valued with the authority who performed the autopsy.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### setAutopsyPerformedBy

          public void setAutopsyPerformedBy(XCN objautopsyPerformedBy)

      Sets the Autopsy Performed By.
      Parameters:
        `objautopsyPerformedBy` - object of AutopsyPerformedBy

    - #### setCoronerIndicator

          public void setCoronerIndicator(java.lang.String strCoronerIndicator)

      Set the Coroner Indicator. This field indicates whether the case/death has been assigned to the coroner/medical examiner for investigative purposed or not.
      Parameters:
        `strCoronerIndicator` - Use as CoronerIndicator.

    - #### setCoronerIndicator

          public void setCoronerIndicator(ID objcoronerIndicator)

      examiner for investigative purposed or not.
      Parameters:
        `objcoronerIndicator` - object of CoronerIndicator.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.